Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.platform.posix.linux.natives
Class LibCImpl

    java.lang.Object
      com.sun.squawk.platform.posix.natives.LibCImpl
          com.sun.squawk.platform.posix.linux.natives.LibCImpl

All Implemented Interfaces:
  Library, LibC

    public class LibCImpl

extends LibCImpl

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.squawk.platform.posix.natives.LibCImpl
`LibCImpl.statImpl`

Nested classes/interfaces inherited from interface com.sun.squawk.platform.posix.natives.LibC
`LibC.stat`

Field Summary

Fields inherited from class com.sun.squawk.platform.posix.natives.LibCImpl
`closePtr, fcntlPtr, fstatPtr, fsyncPtr, lseekPtr, openPtr, readPtr, statPtr, unlinkPtr, writePtr`

Fields inherited from interface com.sun.squawk.platform.posix.natives.LibC
`E2BIG, EACCES, EADDRINUSE, EADDRNOTAVAIL, EAFNOSUPPORT, EAGAIN, EALREADY, EBADF, EBADMSG, EBUSY, ECANCELED, ECHILD, ECONNABORTED, ECONNREFUSED, ECONNRESET, EDEADLK, EDESTADDRREQ, EDOM, EDQUOT, EEXIST, EFAULT, EFBIG, EHOSTUNREACH, EIDRM, EILSEQ, EINPROGRESS, EINTR, EINVAL, EIO, EISCONN, EISDIR, ELOOP, EMFILE, EMLINK, EMSGSIZE, EMULTIHOP, ENAMETOOLONG, ENETDOWN, ENETRESET, ENETUNREACH, ENFILE, ENOBUFS, ENODATA, ENODEV, ENOENT, ENOEXEC, ENOLCK, ENOLINK, ENOMEM, ENOMSG, ENOPROTOOPT, ENOSPC, ENOSR, ENOSTR, ENOSYS, ENOTCONN, ENOTDIR, ENOTEMPTY, ENOTSOCK, ENOTSUP, ENOTTY, ENXIO, EOPNOTSUPP, EOVERFLOW, EPERM, EPIPE, EPROTO, EPROTONOSUPPORT, EPROTOTYPE, ERANGE, EROFS, ESPIPE, ESRCH, ETIME, ETIMEDOUT, ETXTBSY, EWOULDBLOCK, EXDEV, F_DUPFD, F_GETFD, F_GETFL, F_SETFD, F_SETFL, INSTANCE, O_ACCMODE, O_APPEND, O_CREAT, O_EXCL, O_NONBLOCK, O_RDONLY, O_RDWR, O_SYNC, O_TRUNC, O_WRONLY, S_IFBLK, S_IFCHR, S_IFDIR, S_IFIFO, S_IFLNK, S_IFMT, S_IFREG, S_IFSOCK, S_IRGRP, S_IROTH, S_IRUSR, S_IRWXG, S_IRWXO, S_IRWXU, S_ISGID, S_ISUID, S_ISVTX, S_IWGRP, S_IWOTH, S_IWUSR, S_IXGRP, S_IXOTH, S_IXUSR, SEEK_CUR, SEEK_END, SEEK_SET`

Constructor Summary
`LibCImpl()`

Method Summary
`int` | `fstat(int arg0, LibC.stat arg1)` Implements fstat by calling __fxstat function
`int` | `initConstInt(int index)` Get the constant value for constant # index for this platform.
`String` | `realName(String nominalName)` Allow platforms to substitute different names.
`int` | `stat(String arg0, LibC.stat arg1)` Implements stat by calling __xstat function

Methods inherited from class com.sun.squawk.platform.posix.natives.LibCImpl
`close, fcntl, fsync, lseek, open, read, unlink, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LibCImpl

    public LibCImpl()

Method Detail

### initConstInt

    public int initConstInt(int index)

  Get the constant value for constant # index for this platform.

  Parameters:
    `index` -
  Returns:

### stat

    public int stat(String arg0,
                    LibC.stat arg1)

  Implements stat by calling __xstat function

  Specified by:
    `stat` in interface `LibC`
  Overrides:
    `stat` in class `LibCImpl`
  Parameters:
    `arg0` - String
    `arg1` - Stat structure that will be filled with the current values
  Returns:
    -1 is returned if an error occurs, otherwise zero is returned

### fstat

    public int fstat(int arg0,
                     LibC.stat arg1)

  Implements fstat by calling __fxstat function

  Specified by:
    `fstat` in interface `LibC`
  Overrides:
    `fstat` in class `LibCImpl`
  Parameters:
    `arg0` - file descriptor
    `arg1` - Stat structure that will be filled with the current values
  Returns:
    -1 is returned if an error occurs, otherwise zero is returned

### realName

    public String realName(String nominalName)

  Description copied from class: `LibCImpl`
  Allow platforms to substitute different names.

  Overrides:
    `realName` in class `LibCImpl`
  Returns:
    the actual name for the platform

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"